Bug 3510 - "net rpc join" fails against domain with secure channel disabled
"net rpc join" fails against domain with secure channel disabled
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.21b
Other All
: P3 normal
: none
Assigned To: Jim McDonough
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-13 14:38 UTC by John Janosik
Modified: 2006-02-22 15:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Janosik 2006-02-13 14:38:14 UTC
Output from join:

[root@jpjlin source]# /usr/local/samba/bin/net rpc join -S jpjlin -U 
ajpjanos
Password:
[2006/02/10 11:39:10.739937, 0] 
rpc_client/cli_pipe.c:cli_rpc_pipe_open_schannel(2641)
  cli_rpc_pipe_open_schannel: failed to get schannel session key from 
server jpjlin for domain JPJLIN3.
[2006/02/10 11:39:10.740511, 0] utils/net_rpc_join.c:net_rpc_join_ok(61)
  Error connecting to NETLOGON pipe. Error was 
NT_STATUS_INVALID_NETWORK_RESPONSE
Unable to join domain JPJLIN3.

Looking at a higher log level it seems the join actually worked OK.  The 
domain join verification at the end net_rpc_join_newstyle() in 
utils/net_rpc_join.c doesn't check to see if the server isn't offering 
schannel.
Comment 1 Jeremy Allison 2006-02-14 18:54:43 UTC
Is this a samba -> samba join, or to a Windows domain ? Trying to understand this better.
Thanks,
Jeremy.
Comment 2 John Janosik 2006-02-15 09:14:01 UTC
I tested a Samba -> Samba join but I'm pretty sure after looking at the code that the problem will happen with a Samba member server joining an NT domain with secure channel disabled as well.
Comment 3 Jeremy Allison 2006-02-22 15:19:35 UTC
Should be fixed with SVN rev 13641 in the SAMBA_3_0 tree.
Jeremy.